--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: charset
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: country
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: A fallback locale. With GetText, you don't need to set English(en,C,POSIX) by yourself because English is used as the last fallback locale anytime.
  name: fallback
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: language
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: modifier
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: orig_str
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: script
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: variant
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: parse
comment: 
constants: []

full_name: Locale::Object
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: charset=
- !ruby/object:RI::MethodSummary 
  name: clear
- !ruby/object:RI::MethodSummary 
  name: country=
- !ruby/object:RI::MethodSummary 
  name: language=
- !ruby/object:RI::MethodSummary 
  name: modifier=
- !ruby/object:RI::MethodSummary 
  name: script=
- !ruby/object:RI::MethodSummary 
  name: to_a
- !ruby/object:RI::MethodSummary 
  name: to_general
- !ruby/object:RI::MethodSummary 
  name: to_iso3066
- !ruby/object:RI::MethodSummary 
  name: to_posix
- !ruby/object:RI::MethodSummary 
  name: to_s
- !ruby/object:RI::MethodSummary 
  name: to_str
- !ruby/object:RI::MethodSummary 
  name: to_win
- !ruby/object:RI::MethodSummary 
  name: variant=
name: Object
superclass: Object
